Package org.sonatype.plexus.components.sec.dispatcher.model

## Class ConfigProperty

- java.lang.Object
- - org.sonatype.plexus.components.sec.dispatcher.model.ConfigProperty

All Implemented Interfaces:
  `java.io.Serializable`

    public class ConfigProperty
    extends java.lang.Object
    implements java.io.Serializable

generic property - name/value pair.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ConfigProperty()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Get name of this property.
`java.lang.String` `getValue()` Get value of this property.
`void` `setName​(java.lang.String name)` Set name of this property.
`void` `setValue​(java.lang.String value)` Set value of this property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigProperty

    public ConfigProperty()

### Method Detail

#### getName

    public java.lang.String getName()

Get name of this property.

Returns:
  String

#### getValue

    public java.lang.String getValue()

Get value of this property.

Returns:
  String

#### setName

    public void setName​(java.lang.String name)

Set name of this property.

Parameters:
  `name` -

#### setValue

    public void setValue​(java.lang.String value)

Set value of this property.

Parameters:
  `value` -